KYC olmadan — kimlik, selfie veya belge gerekmez. Kripto ile ödeme yapın.
Dil: Türkçe
1 GB seçin

API referansı

Mobil portlar ve IP rotasyonu

Özel 4G/5G portları: IP’yi hemen veya zamanlayarak değiştirin, rotasyon bağlantısını kullanın ve günlük trafiği görüntüleyin.

8 dakikalık okuma

Bu sayfadaki uç noktalar

  • GET /v1/mobile: Mobil proxy portlarını listele
  • GET /v1/mobile/{portId}: Bir mobil proxy portunun bilgilerini al
  • PATCH /v1/mobile/{portId}: Adını değiştir, otomatik yenilemeyi aç/kapat veya otomatik rotasyonu yapılandır
  • POST /v1/mobile/{portId}/rotate: IP'yi hemen değiştir
  • GET /v1/mobile/{portId}/rotate: Rotasyon bağlantısı (sorgu dizesinde API anahtarıyla GET)
  • POST /v1/mobile/{portId}/reset-password: Port için yeni bir proxy parolası oluştur
  • GET /v1/mobile/{portId}/usage: Port üzerinden günlük trafik (bilgi: adil kullanım koşulları kapsamında sınırsız veri)
  • GET /v1/catalog/countries/{countryCode}/carriers: Bir ülkede 4G/5G portu bulunan mobil operatörler

Temel URL https://localserpproxy.com/api/v1. Kimlik doğrulama, hatalar ve limitler için API genel bakışına bakın.

Mobil portları listele

GET/v1/mobile

Kimlik doğrulama: Authorization: Bearer API_KEY başlığında API anahtarı.

Yanıt 200 OK

{
  "data": [
    {
      "id": "mob_2v8k1q",
      "label": "US Verizon #1",
      "status": "active",
      "country": "US",
      "city": null,
      "carrier": "verizon",
      "carrierName": "Verizon",
      "networkType": "4G",
      "currentIp": "203.0.113.201",
      "ipChangedAt": "2026-10-05T14:03:11Z",
      "endpoint": {
        "host": "gw.localserpproxy.com",
        "httpPort": 7777,
        "socksPort": 7778
      },
      "username": "USERNAME",
      "password": "PASSWORD",
      "rotation": {
        "mode": "interval",
        "intervalMinutes": 10
      },
      "minRotationIntervalSeconds": 30,
      "rotationLink": "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
      "planId": "mob-us-30d",
      "autoRenew": false,
      "createdAt": "2026-10-05T14:03:11Z",
      "expiresAt": "2026-11-04T14:03:11Z"
    }
  ]
}

Kod örnekleri

curl
curl -s "https://localserpproxy.com/api/v1/mobile" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Mobil port al

GET/v1/mobile/{portId}

Kimlik doğrulama: Authorization: Bearer API_KEY başlığında API anahtarı.

Parametreler

AdKonumTürZorunluAçıklama
portIdpathstringEvet—

Yanıt 200 OK

{
  "id": "mob_2v8k1q",
  "label": "US Verizon #1",
  "status": "active",
  "country": "US",
  "city": null,
  "carrier": "verizon",
  "carrierName": "Verizon",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-us-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Kod örnekleri

curl
curl -s "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile/mob_2v8k1q", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Yeniden adlandır, otomatik yenilemeyi açıp kapat veya otomatik IP değişimini ayarla

PATCH/v1/mobile/{portId}

Portu yeniden adlandırın, otomatik yenilemeyi açıp kapatın veya 2 dakikada bir ile 24 saatte bir arasında otomatik IP değişim zamanlayıcısı ayarlayın: "rotation": { "mode": "interval", "intervalMinutes": 10 } (2–1440 dakika); "mode": "manual" bu özelliği kapatır. Aksi takdirde portunuz siz IP'yi değiştirene kadar aynı IP'yi kullanır; ancak operatör zaman zaman IP'yi kendiliğinden değiştirebilir.

Kimlik doğrulama: Authorization: Bearer API_KEY başlığında API anahtarı.

Parametreler

AdKonumTürZorunluAçıklama
portIdpathstringEvet—

İstek gövdesi

AlanTürZorunluAçıklama
labelstringHayıren fazla 60 karakter
autoRenewbooleanHayır—
rotationobjectHayırOtomatik IP değişim zamanlayıcısı: { "mode": "interval", "intervalMinutes": 2–1440 } (2 dakikada bir ile 24 saatte bir arasında) veya yalnızca isteğe bağlı IP değişimi için { "mode": "manual", "intervalMinutes": null }.
Örnek: Otomatik IP Değişimi
{
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  }
}
Örnek: Manuel
{
  "rotation": {
    "mode": "manual",
    "intervalMinutes": null
  }
}

Yanıt 200 OK

{
  "id": "mob_2v8k1q",
  "label": "US Verizon #1",
  "status": "active",
  "country": "US",
  "city": null,
  "carrier": "verizon",
  "carrierName": "Verizon",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-us-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Kod örnekleri

curl
curl -s -X PATCH "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"rotation":{"mode":"interval","intervalMinutes":10}}'
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.patch(f"{API}/mobile/mob_2v8k1q", headers=HEADERS, json={"rotation": {"mode": "interval", "intervalMinutes": 10}}, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q`, {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ rotation: { mode: 'interval', intervalMinutes: 10 } }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

IP'yi şimdi değiştir

POST/v1/mobile/{portId}/rotate

Her IP değişiminde portunuz yeni bir IP almak için operatöre yeniden bağlanır ve işlem genellikle 5–15 saniye sürer; operatör bazen aynı IP'yi yeniden atayabilir: bu durumda tekrar IP değiştirin. Her port için en fazla 30 saniyede bir kez (minRotationIntervalSeconds): çok erken yapılan IP değişimi isteği, beklemeniz gereken süreyi saniye cinsinden Retry-After ile birlikte 429 rotation_too_soon döndürür.

Kimlik doğrulama: Authorization: Bearer API_KEY başlığında API anahtarı.

Parametreler

AdKonumTürZorunluAçıklama
portIdpathstringEvet—

Yanıt 200 OK

{
  "ip": "203.0.113.201",
  "previousIp": "203.0.113.77",
  "rotatedAt": "2026-10-05T14:03:11Z",
  "nextRotationAvailableAt": "2026-10-05T14:03:41Z"
}

Kod örnekleri

curl
curl -s -X POST "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/mobile/mob_2v8k1q/rotate", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/rotate`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

GET/v1/mobile/{portId}/rotate

Komut dosyaları ve yer imleri için POST ile aynı: GET https://localserpproxy.com/api/v1/mobile/{portId}/rotate?key=API_KEY. Anahtarın proxies kapsamına sahip olması gerekir. format=text, yeni IP'yi text/plain olarak döndürür.

Kimlik doğrulama: key sorgu parametresinde API anahtarı (kapsam proxies); böylece bağlantı yer iminden açılabilir.

Parametreler

AdKonumTürZorunluAçıklama
keyquerystringEvetAPI anahtarınız (kapsam proxies).
portIdpathstringEvet—
formatqueryjson · textHayırvarsayılan json

Yanıt 200 OK

{
  "ip": "203.0.113.201",
  "previousIp": "203.0.113.77",
  "rotatedAt": "2026-10-05T14:03:11Z",
  "nextRotationAvailableAt": "2026-10-05T14:03:41Z"
}

Kod örnekleri

Port için yeni proxy şifresi oluşturun

POST/v1/mobile/{portId}/reset-password

Kimlik doğrulama: Authorization: Bearer API_KEY başlığında API anahtarı.

Parametreler

AdKonumTürZorunluAçıklama
portIdpathstringEvet—

Yanıt 200 OK

{
  "id": "mob_2v8k1q",
  "label": "US Verizon #1",
  "status": "active",
  "country": "US",
  "city": null,
  "carrier": "verizon",
  "carrierName": "Verizon",
  "networkType": "4G",
  "currentIp": "203.0.113.201",
  "ipChangedAt": "2026-10-05T14:03:11Z",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "username": "USERNAME",
  "password": "PASSWORD",
  "rotation": {
    "mode": "interval",
    "intervalMinutes": 10
  },
  "minRotationIntervalSeconds": 30,
  "rotationLink": "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/rotate?key=API_KEY",
  "planId": "mob-us-30d",
  "autoRenew": false,
  "createdAt": "2026-10-05T14:03:11Z",
  "expiresAt": "2026-11-04T14:03:11Z"
}

Kod örnekleri

curl
curl -s -X POST "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/reset-password" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/mobile/mob_2v8k1q/reset-password", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/reset-password`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Port üzerinden günlük trafik (bilgi amaçlı: adil kullanım kapsamında sınırsız veri)

GET/v1/mobile/{portId}/usage

Yalnızca bilgi amaçlıdır. Adil kullanım kapsamında özel portunuzda sınırsız veri: operatör çok yoğun kullanımda hızı düşürebilir veya bağlantıyı duraklatabilir.

Kimlik doğrulama: Authorization: Bearer API_KEY başlığında API anahtarı.

Parametreler

AdKonumTürZorunluAçıklama
portIdpathstringEvet—
fromquerystring (date)Hayırİlk gün (UTC), dahil. Varsayılan = to tarihinden 29 gün önce.
toquerystring (date)HayırSon gün (UTC), dahil. Varsayılan = bugün. Maksimum aralık 366 gün.

Yanıt 200 OK

{
  "from": "2026-10-04",
  "to": "2026-10-05",
  "totalBytes": 2350000000,
  "totalRequests": 48210,
  "points": [
    {
      "date": "2026-10-04",
      "bytes": 1200000000,
      "requests": 24800
    },
    {
      "date": "2026-10-05",
      "bytes": 1150000000,
      "requests": 23410
    }
  ],
  "byCountry": [
    {
      "country": "US",
      "bytes": 2350000000
    }
  ]
}

Kod örnekleri

curl
curl -s "https://localserpproxy.com/api/v1/mobile/mob_2v8k1q/usage" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/mobile/mob_2v8k1q/usage", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/mobile/mob_2v8k1q/usage`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

Bir ülkede 4G/5G portu bulunan mobil operatörler

GET/v1/catalog/countries/{countryCode}/carriers

Herkese açık: API anahtarı gerekmez.

Parametreler

AdKonumTürZorunluAçıklama
countryCodepathstringEvetISO 3166-1 alpha-2, büyük harf.

Yanıt 200 OK

{
  "data": [
    {
      "id": "verizon",
      "name": "Verizon",
      "networkTypes": [
        "4G",
        "5G"
      ],
      "available": true,
      "cities": []
    }
  ]
}

Kod örnekleri

curl
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/carriers"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries/US/carriers", timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries/US/carriers`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

1 GB $1,50 · KYC olmadan

Fiyatları görün